Closed Bug 821167 Opened 7 years ago Closed 7 years ago

Fatal signal 7 (SIGBUS) on B2G xpcshell

Categories

(Firefox OS Graveyard :: GonkIntegration, defect)

x86
Gonk (Firefox OS)
defect
Not set

Tracking

(Not tracked)

RESOLVED DUPLICATE of bug 821285

People

(Reporter: ewong, Unassigned)

Details

For:
b2g_ics_armv7a_gecko_emulator mozilla-central opt test xpcshell on 2012-12-12 19:55:44 PST for push edd45de440ba

20:11:05     INFO - Running command: ['cat', '/home/cltbld/talos-slave/test/build/emulator-5554.log']
20:11:05     INFO - Copy/paste: cat /home/cltbld/talos-slave/test/build/emulator-5554.log
20:11:05     INFO -  I/qemu-props(   33): connected to 'boot-properties' qemud service.
20:11:05     INFO -  I/DEBUG   (   35): debuggerd: Nov 28 2012 17:54:00
20:11:05     INFO -  I/qemu-props(   33): receiving..
20:11:05     INFO -  I/qemu-props(   33): received: dalvik.vm.heapsize=48m
20:11:05     INFO -  I/qemu-props(   33): receiving..
20:11:05     INFO -  I/qemu-props(   33): received: qemu.sf.lcd_density=160
20:11:05     INFO -  I/qemu-props(   33): receiving..
20:11:05     INFO -  I/qemu-props(   33): received: qemu.hw.mainkeys=1
20:11:05     INFO -  I/qemu-props(   33): receiving..
20:11:05     INFO -  I/qemu-props(   33): received: qemu.sf.fake_camera=back
20:11:05     INFO -  I/qemu-props(   33): receiving..
20:11:05     INFO -  I/qemu-props(   33): exiting (4 properties set).
20:11:05     INFO -  I/Vold    (   32): Vold 2.1 (the revenge) firing up
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing -1 (Initializing) -> 0 (No-Media)
20:11:05     INFO -  I/Netd    (   34): Netd 1.0 starting
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 0 (No-Media) -> 1 (Idle-Unmounted)
20:11:05     INFO -  E/Netd    (   34): Unable to bind netlink socket: No such file or directory
20:11:05     INFO -  E/Netd    (   34): Unable to open quota2 logging socket
20:11:05     INFO -  I/        (   37): ServiceManager: 0x18910
20:11:05     INFO -  I/        (   38): ServiceManager: 0xf958
20:11:05     INFO -  I/AudioFlinger(   38): Loaded primary audio interface from LEGACY Audio HW HAL (audio)
20:11:05     INFO -  I/AudioFlinger(   38): Using 'LEGACY Audio HW HAL' (audio.primary) as the primary audio interface
20:11:05     INFO -  D/AudioHardwareInterface(   38): setMode(NORMAL)
20:11:05     INFO -  I/CameraService(   38): CameraService started (pid=38)
20:11:05     INFO -  D/EmulatedCamera_QemuClient(   38): Emulated camera list:
20:11:05     INFO -  D/EmulatedCamera_FakeCamera(   38): Initialize: Fake camera is facing back
20:11:05     INFO -  V/EmulatedCamera_Factory(   38): 1 cameras are being emulated. Fake camera ID is 0
20:11:05     INFO -  I/AudioFlinger(   38): AudioFlinger's thread 0x11008 ready to run
20:11:05     INFO -  W/AudioFlinger(   38): Thread AudioOut_1 cannot connect to the power manager service
20:11:05     INFO -  I/AudioPolicyService(   38): Loaded audio policy from LEGACY Audio Policy HAL (audio_policy)
20:11:05     INFO -  E/profiler(   43): Registering start signal
20:11:05     INFO -  E/GeckoConsole(   43): [JavaScript Error: "NS_ERROR_ILLEGAL_VALUE: Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIXPCComponents_Utils.import]" {file: "jar:file:///system/b2g/omni.ja!/components/HealthReportService.js" line: 10}]
20:11:05     INFO -  I/Gecko   (   43): 1355371108074	Marionette	INFO	MarionetteComponent loaded
20:11:05     INFO -  I/Gecko   (   43): 1355371108101	Marionette	INFO	marionette enabled
20:11:05     INFO -  I/Gonk    (   43): Socket open for RIL
20:11:05     INFO -  I/VolumeManager(   43): changing state from 'Uninitialized' to 'Starting'
20:11:05     INFO -  I/VolumeManager(   43): Connected to vold
20:11:05     INFO -  D/VoldCmdListener(   32): volume list
20:11:05     INFO -  I/VolumeManager(   43): Volume sdcard: changing state from Init to Idle (1 observers)
20:11:05     INFO -  I/VolumeManager(   43): changing state from 'Starting' to 'Volumes Ready'
20:11:05     INFO -  E/AutoMounter(   43): Unable to open file '/sys/devices/virtual/usb_composite/usb_mass_storage/enable' for reading
20:11:05     INFO -  E/AutoMounter(   43): Unable to open file '/sys/devices/virtual/switch/usb_configuration/state' for reading
20:11:05     INFO -  I/AutoMounter(   43): UpdateState: umsAvail:0 umsEnabled:0 mode:0 usbCablePluggedIn:0 tryToShare:0
20:11:05     INFO -  I/AutoMounter(   43): UpdateState: Volume sdcard is Idle and inserted
20:11:05     INFO -  D/VoldCmdListener(   32): volume mount sdcard
20:11:05     INFO -  I/Vold    (   32): /dev/block/vold/179:0 being considered for volume sdcard
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 1 (Idle-Unmounted) -> 3 (Checking)
20:11:05     INFO -  W/Vold    (   32): Skipping fs checks
20:11:05     INFO -  I/VolumeManager(   43): Volume sdcard: changing state from Idle to Checking (3 observers)
20:11:05     INFO -  E/Vold    (   32): /dev/block/vold/179:0 failed to mount via VFAT (Invalid argument)
20:11:05     INFO -  E/Vold    (   32): Volume sdcard found no suitable devices for mounting :(
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 3 (Checking) -> 1 (Idle-Unmounted)
20:11:05     INFO -  I/VolumeManager(   43): Volume sdcard: changing state from Checking to Idle (3 observers)
20:11:05     INFO -  W/Vold    (   32): Returning OperationFailed - no handler for errno 22
20:11:05     INFO -  E/AutoMounter(   43): Command 'volume mount sdcard' failed: 400 'volume operation failed (Invalid argument)'
20:11:05     INFO -  E/AutoMounter(   43): Unable to open file '/sys/devices/virtual/usb_composite/usb_mass_storage/enable' for reading
20:11:05     INFO -  E/AutoMounter(   43): Unable to open file '/sys/devices/virtual/switch/usb_configuration/state' for reading
20:11:05     INFO -  I/AutoMounter(   43): UpdateState: umsAvail:0 umsEnabled:0 mode:0 usbCablePluggedIn:0 tryToShare:0
20:11:05     INFO -  I/AutoMounter(   43): UpdateState: Volume sdcard is Idle and inserted
20:11:05     INFO -  D/VoldCmdListener(   32): volume mount sdcard
20:11:05     INFO -  I/Vold    (   32): /dev/block/vold/179:0 being considered for volume sdcard
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 1 (Idle-Unmounted) -> 3 (Checking)
20:11:05     INFO -  I/VolumeManager(   43): Volume sdcard: changing state from Idle to Checking (3 observers)
20:11:05     INFO -  W/Vold    (   32): Skipping fs checks
20:11:05     INFO -  E/Vold    (   32): /dev/block/vold/179:0 failed to mount via VFAT (Invalid argument)
20:11:05     INFO -  E/Vold    (   32): Volume sdcard found no suitable devices for mounting :(
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 3 (Checking) -> 1 (Idle-Unmounted)
20:11:05     INFO -  I/VolumeManager(   43): Volume sdcard: changing state from Checking to Idle (3 observers)
20:11:05     INFO -  W/Vold    (   32): Returning OperationFailed - no handler for errno 22
20:11:05     INFO -  E/AutoMounter(   43): Command 'volume mount sdcard' failed: 400 'volume operation failed (Invalid argument)'
20:11:05     INFO -  E/AutoMounter(   43): Unable to open file '/sys/devices/virtual/usb_composite/usb_mass_storage/enable' for reading
20:11:05     INFO -  E/AutoMounter(   43): Unable to open file '/sys/devices/virtual/switch/usb_configuration/state' for reading
20:11:05     INFO -  I/AutoMounter(   43): UpdateState: umsAvail:0 umsEnabled:0 mode:0 usbCablePluggedIn:0 tryToShare:0
20:11:05     INFO -  I/AutoMounter(   43): UpdateState: Volume sdcard is Idle and inserted
20:11:05     INFO -  D/VoldCmdListener(   32): volume mount sdcard
20:11:05     INFO -  I/Vold    (   32): /dev/block/vold/179:0 being considered for volume sdcard
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 1 (Idle-Unmounted) -> 3 (Checking)
20:11:05     INFO -  I/VolumeManager(   43): Volume sdcard: changing state from Idle to Checking (3 observers)
20:11:05     INFO -  W/Vold    (   32): Skipping fs checks
20:11:05     INFO -  E/Vold    (   32): /dev/block/vold/179:0 failed to mount via VFAT (Invalid argument)
20:11:05     INFO -  E/Vold    (   32): Volume sdcard found no suitable devices for mounting :(
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 3 (Checking) -> 1 (Idle-Unmounted)
20:11:05     INFO -  I/VolumeManager(   43): Volume sdcard: changing state from Checking to Idle (3 observers)
20:11:05     INFO -  W/Vold    (   32): Returning OperationFailed - no handler for errno 22
20:11:05     INFO -  E/AutoMounter(   43): Command 'volume mount sdcard' failed: 400 'volume operation failed (Invalid argument)'
20:11:05     INFO -  I/Gonk    (   43): Unable to open file /sys/class/android_usb/android0/f_rndis/ethaddr.
20:11:05     INFO -  I/Gonk    (   43): fail to give rndis interface an address
20:11:05     INFO -  I/Gonk    (   43): Connected to netd
20:11:05     INFO -  I/EventHub(   43): New device: id=1, fd=39, path='/dev/input/event0', name='qwerty2', classes=0x2d, configuration='/system/usr/idc/qwerty2.idc', keyLayout='/system/usr/keylayout/qwerty.kl', keyCharacterMap='/system/usr/keychars/qwerty2.kcm', builtinKeyboard=true
20:11:05     INFO -  E/EventHub(   43): could not get driver version for /dev/input/mouse0, Not a typewriter
20:11:05     INFO -  E/EventHub(   43): could not get driver version for /dev/input/mice, Not a typewriter
20:11:05     INFO -  I/InputReader(   43): Device reconfigured: id=0, name='qwerty2', surface size is now 480x800, mode is 1
20:11:05     INFO -  I/InputReader(   43): Device added: id=0, name='qwerty2', sources=0x00011307
20:11:05     INFO -  D/        (   43): HostConnection::get() New Host Connection established 0x44e5d1d0, tid 43
20:11:05     INFO -  E/GeckoConsole(   43): [JavaScript Warning: "Unknown property 'align-self'.  Declaration dropped." {file: "resource://gre-resources/ua.css" line: 45}]
20:11:05     INFO -  E/GeckoConsole(   43): [JavaScript Warning: "Unknown property 'order'.  Declaration dropped." {file: "resource://gre-resources/ua.css" line: 46}]
20:11:05     INFO -  I/Gecko   (   43): 1355371111476	Marionette	INFO	marionette-actors.js loaded
20:11:05     INFO -  I/nsVolumeService(   43): UpdateVolume: 'sdcard' state Idle
20:11:05     INFO -  I/nsVolumeService(   43): UpdateVolume: 'sdcard' state Checking
20:11:05     INFO -  I/nsVolumeService(   43): UpdateVolume: 'sdcard' state Idle
20:11:05     INFO -  I/nsVolumeService(   43): UpdateVolume: 'sdcard' state Checking
20:11:05     INFO -  I/nsVolumeService(   43): UpdateVolume: 'sdcard' state Idle
20:11:05     INFO -  I/nsVolumeService(   43): UpdateVolume: 'sdcard' state Checking
20:11:05     INFO -  I/nsVolumeService(   43): UpdateVolume: 'sdcard' state Idle
20:11:05     INFO -  I/FMRadio (   43): FMRadio is initialized.
20:11:05     INFO -  I/Gecko   (   43): RIL Worker: DateTimeZone string 12/12/13:03:58:26-32:0:America!Los_Angeles
20:11:05     INFO -  I/Gecko   (   43): Logging GL tracing output to /system/b2g/firefox.trace
20:11:05     INFO -  I/Gecko   (   43): Attempting load of /data/local/egltrace.so
20:11:05     INFO -  I/Gecko   (   43): Attempting load of libEGL.so
20:11:05     INFO -  D/libEGL  (   43): loaded /system/lib/egl/libEGL_emulation.so
20:11:05     INFO -  D/        (   43): HostConnection::get() New Host Connection established 0x464cd300, tid 141
20:11:05     INFO -  D/libEGL  (   43): loaded /system/lib/egl/libGLESv1_CM_emulation.so
20:11:05     INFO -  D/libEGL  (   43): loaded /system/lib/egl/libGLESv2_emulation.so
20:11:05     INFO -  W/        (   43): hwcomposer module not found
20:11:05     INFO -  E/HWComposer(   43): Failed to initialize hwc
20:11:05     INFO -  E/GeckoConsole(   43): OpenGL LayerManager Initialized Succesfully.
20:11:05     INFO -  E/GeckoConsole(   43): Version: OpenGL ES 2.0 (3.2.0 NVIDIA 190.42)
20:11:05     INFO -  E/GeckoConsole(   43): Vendor: Google (NVIDIA Corporation)
20:11:05     INFO -  E/GeckoConsole(   43): Renderer: Android Emulator OpenGL ES Translator (GeForce 9400/PCI/SSE2)
20:11:05     INFO -  E/GeckoConsole(   43): FBO Texture Target: TEXTURE_2D
20:11:05     INFO -  I/Gecko   (   43): 1355371135315	Marionette	INFO	sendToClient: {"from":"conn0.marionette1","ok":true}, undefined, null
20:11:05     INFO -  E/GeckoConsole(   43): [JavaScript Error: "[Exception... "Component returned failure code: 0x80470002 (NS_BASE_STREAM_CLOSED) [nsIOutputStream.write]"  nsresult: "0x80470002 (NS_BASE_STREAM_CLOSED)"  location: "JS frame :: chrome://global/content/devtools/dbg-transport.js :: DT_onOutputStreamReady :: line 94"  data: no]" {file: "chrome://global/content/devtools/dbg-transport.js" line: 94}]
20:11:05     INFO -  D/NetUtils(   43): failed to remove default route for tiwlan0: No such device
20:11:05    ERROR -  F/libc    (  167): Fatal signal 7 (SIGBUS) at 0x413ba8a4 (code=2)
20:11:05    ERROR -  This usually indicates the B2G process has crashed
20:11:05     INFO -  I/DEBUG   (   35): *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
20:11:05     INFO -  I/DEBUG   (   35): Build fingerprint: 'Android/full/generic:4.0.4.0.4.0.4/OPENMASTER/1254:eng/test-keys'
20:11:05     INFO -  I/DEBUG   (   35): pid: 167, tid: 167  >>> /system/b2g/plugin-container <<<
20:11:05     INFO -  I/DEBUG   (   35): signal 7 (SIGBUS), code 2 (BUS_ADRERR), fault addr 413ba8a4
20:11:05     INFO -  I/DEBUG   (   35):  r0 413ba8a4  r1 00000000  r2 00000740  r3 c0000000
20:11:05     INFO -  I/DEBUG   (   35):  r4 00000000  r5 00000000  r6 00000000  r7 00000000
20:11:05     INFO -  I/DEBUG   (   35):  r8 b00136ac  r9 0019f8a4  10 01153000  fp 400c8000
20:11:05     INFO -  I/DEBUG   (   35):  ip 00000000  sp bef92540  lr 00000000  pc b000393c  cpsr a0000010
20:11:05     INFO -  I/DEBUG   (   35):  d0  0000000000000000  d1  0000000000000000
20:11:05     INFO -  I/DEBUG   (   35):  d2  0000000000000000  d3  0000000000000000
20:11:05     INFO -  I/DEBUG   (   35):  d4  0000000000000000  d5  41bc8479c3000000
20:11:05     INFO -  I/DEBUG   (   35):  d6  3f50624dd2f1a9fc  d7  3ede5bd8022c9deb
20:11:05     INFO -  I/DEBUG   (   35):  d8  0000000000000000  d9  0000000000000000
20:11:05     INFO -  I/DEBUG   (   35):  d10 0000000000000000  d11 0000000000000000
20:11:05     INFO -  I/DEBUG   (   35):  d12 0000000000000000  d13 0000000000000000
20:11:05     INFO -  I/DEBUG   (   35):  d14 0000000000000000  d15 0000000000000000
20:11:05     INFO -  I/DEBUG   (   35):  scr 00000010
20:11:05     INFO -  I/DEBUG   (   35):
20:11:05     INFO -  I/DEBUG   (  168): debuggerd: Nov 28 2012 17:54:00
20:11:05     INFO -  W/AudioFlinger(   38): Thread AudioOut_1 cannot connect to the power manager service
20:11:05     INFO -  I/Gecko   (   43): ###################################### forms.js loaded
20:11:05     INFO -  E/WifiHW  (   43): Cannot open "/system/etc/wifi/wpa_supplicant.conf": No such file or directory
20:11:05     INFO -  E/WifiHW  (   43): Wi-Fi will not be enabled
20:11:05     INFO -  I/Gecko   (   43): ###################################### forms.js loaded
20:11:05     INFO -  D/        (  287): HostConnection::get() New Host Connection established 0x40303250, tid 287
20:11:05     INFO -  E/profiler(  287): Registering start signal
20:11:05     INFO -  W/Gonk    (  287): Could not open boot animation
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "NS_ERROR_ILLEGAL_VALUE: Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIXPCComponents_Utils.import]" {file: "jar:file:///system/b2g/omni.ja!/components/HealthReportService.js" line: 10}]
20:11:05     INFO -  I/Gecko   (  287): 1355371164541	Marionette	INFO	MarionetteComponent loaded
20:11:05     INFO -  I/Gecko   (  287): 1355371164575	Marionette	INFO	marionette enabled, loadearly: false
20:11:05     INFO -  E/GeckoConsole(  287): While creating services from category 'profile-after-change', service for entry 'TelemetryPing', contract ID '@mozilla.org/base/telemetry-ping;1' does not implement nsIObserver.
20:11:05     INFO -  I/Gonk    (  287): Socket open for RIL
20:11:05     INFO -  I/VolumeManager(  287): changing state from 'Uninitialized' to 'Starting'
20:11:05     INFO -  I/VolumeManager(  287): Connected to vold
20:11:05     INFO -  D/VoldCmdListener(   32): volume list
20:11:05     INFO -  I/VolumeManager(  287): Volume sdcard: changing state from Init to Idle (1 observers)
20:11:05     INFO -  I/VolumeManager(  287): changing state from 'Starting' to 'Volumes Ready'
20:11:05     INFO -  E/AutoMounter(  287): Unable to open file '/sys/devices/virtual/usb_composite/usb_mass_storage/enable' for reading
20:11:05     INFO -  E/AutoMounter(  287): Unable to open file '/sys/devices/virtual/switch/usb_configuration/state' for reading
20:11:05     INFO -  I/AutoMounter(  287): UpdateState: umsAvail:0 umsEnabled:0 mode:0 usbCablePluggedIn:0 tryToShare:0
20:11:05     INFO -  I/AutoMounter(  287): UpdateState: Volume sdcard is Idle and inserted
20:11:05     INFO -  D/VoldCmdListener(   32): volume mount sdcard
20:11:05     INFO -  I/Vold    (   32): /dev/block/vold/179:0 being considered for volume sdcard
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 1 (Idle-Unmounted) -> 3 (Checking)
20:11:05     INFO -  W/Vold    (   32): Skipping fs checks
20:11:05     INFO -  I/VolumeManager(  287): Volume sdcard: changing state from Idle to Checking (3 observers)
20:11:05     INFO -  E/Vold    (   32): /dev/block/vold/179:0 failed to mount via VFAT (Invalid argument)
20:11:05     INFO -  E/Vold    (   32): Volume sdcard found no suitable devices for mounting :(
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 3 (Checking) -> 1 (Idle-Unmounted)
20:11:05     INFO -  W/Vold    (   32): Returning OperationFailed - no handler for errno 22
20:11:05     INFO -  I/VolumeManager(  287): Volume sdcard: changing state from Checking to Idle (3 observers)
20:11:05     INFO -  E/AutoMounter(  287): Command 'volume mount sdcard' failed: 400 'volume operation failed (Invalid argument)'
20:11:05     INFO -  E/AutoMounter(  287): Unable to open file '/sys/devices/virtual/usb_composite/usb_mass_storage/enable' for reading
20:11:05     INFO -  E/AutoMounter(  287): Unable to open file '/sys/devices/virtual/switch/usb_configuration/state' for reading
20:11:05     INFO -  I/AutoMounter(  287): UpdateState: umsAvail:0 umsEnabled:0 mode:0 usbCablePluggedIn:0 tryToShare:0
20:11:05     INFO -  I/AutoMounter(  287): UpdateState: Volume sdcard is Idle and inserted
20:11:05     INFO -  D/VoldCmdListener(   32): volume mount sdcard
20:11:05     INFO -  I/Vold    (   32): /dev/block/vold/179:0 being considered for volume sdcard
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 1 (Idle-Unmounted) -> 3 (Checking)
20:11:05     INFO -  W/Vold    (   32): Skipping fs checks
20:11:05     INFO -  E/Vold    (   32): /dev/block/vold/179:0 failed to mount via VFAT (Invalid argument)
20:11:05     INFO -  E/Vold    (   32): Volume sdcard found no suitable devices for mounting :(
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 3 (Checking) -> 1 (Idle-Unmounted)
20:11:05     INFO -  W/Vold    (   32): Returning OperationFailed - no handler for errno 22
20:11:05     INFO -  I/VolumeManager(  287): Volume sdcard: changing state from Idle to Checking (3 observers)
20:11:05     INFO -  I/VolumeManager(  287): Volume sdcard: changing state from Checking to Idle (3 observers)
20:11:05     INFO -  E/AutoMounter(  287): Command 'volume mount sdcard' failed: 400 'volume operation failed (Invalid argument)'
20:11:05     INFO -  E/AutoMounter(  287): Unable to open file '/sys/devices/virtual/usb_composite/usb_mass_storage/enable' for reading
20:11:05     INFO -  E/AutoMounter(  287): Unable to open file '/sys/devices/virtual/switch/usb_configuration/state' for reading
20:11:05     INFO -  I/AutoMounter(  287): UpdateState: umsAvail:0 umsEnabled:0 mode:0 usbCablePluggedIn:0 tryToShare:0
20:11:05     INFO -  I/AutoMounter(  287): UpdateState: Volume sdcard is Idle and inserted
20:11:05     INFO -  D/VoldCmdListener(   32): volume mount sdcard
20:11:05     INFO -  I/Vold    (   32): /dev/block/vold/179:0 being considered for volume sdcard
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 1 (Idle-Unmounted) -> 3 (Checking)
20:11:05     INFO -  W/Vold    (   32): Skipping fs checks
20:11:05     INFO -  E/Vold    (   32): /dev/block/vold/179:0 failed to mount via VFAT (Invalid argument)
20:11:05     INFO -  E/Vold    (   32): Volume sdcard found no suitable devices for mounting :(
20:11:05     INFO -  D/Vold    (   32): Volume sdcard state changing 3 (Checking) -> 1 (Idle-Unmounted)
20:11:05     INFO -  W/Vold    (   32): Returning OperationFailed - no handler for errno 22
20:11:05     INFO -  I/VolumeManager(  287): Volume sdcard: changing state from Idle to Checking (3 observers)
20:11:05     INFO -  I/VolumeManager(  287): Volume sdcard: changing state from Checking to Idle (3 observers)
20:11:05     INFO -  E/AutoMounter(  287): Command 'volume mount sdcard' failed: 400 'volume operation failed (Invalid argument)'
20:11:05     INFO -  I/Gonk    (  287): Unable to open file /sys/class/android_usb/android0/f_rndis/ethaddr.
20:11:05     INFO -  I/Gonk    (  287): fail to give rndis interface an address
20:11:05     INFO -  I/Gonk    (  287): Connected to netd
20:11:05     INFO -  I/EventHub(  287): New device: id=1, fd=44, path='/dev/input/event0', name='qwerty2', classes=0x2d, configuration='/system/usr/idc/qwerty2.idc', keyLayout='/system/usr/keylayout/qwerty.kl', keyCharacterMap='/system/usr/keychars/qwerty2.kcm', builtinKeyboard=true
20:11:05     INFO -  E/EventHub(  287): could not get driver version for /dev/input/mouse0, Not a typewriter
20:11:05     INFO -  E/EventHub(  287): could not get driver version for /dev/input/mice, Not a typewriter
20:11:05     INFO -  I/InputReader(  287): Device reconfigured: id=0, name='qwerty2', surface size is now 480x800, mode is 1
20:11:05     INFO -  I/InputReader(  287): Device added: id=0, name='qwerty2', sources=0x00011307
20:11:05     INFO -  I/nsVolumeService(  287): UpdateVolume: 'sdcard' state Idle
20:11:05     INFO -  I/nsVolumeService(  287): UpdateVolume: 'sdcard' state Checking
20:11:05     INFO -  I/nsVolumeService(  287): UpdateVolume: 'sdcard' state Idle
20:11:05     INFO -  I/nsVolumeService(  287): UpdateVolume: 'sdcard' state Checking
20:11:05     INFO -  I/nsVolumeService(  287): UpdateVolume: 'sdcard' state Idle
20:11:05     INFO -  I/nsVolumeService(  287): UpdateVolume: 'sdcard' state Checking
20:11:05     INFO -  I/nsVolumeService(  287): UpdateVolume: 'sdcard' state Idle
20:11:05     INFO -  I/FMRadio (  287): FMRadio is initialized.
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: expandPermissions: Unknown Permission: mozBluetooth" {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 300}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: expandPermissions: Unknown Permission: mozBluetooth
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: 'mozBluetooth' is not a valid Webapps permission name." {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 464}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: 'mozBluetooth' is not a valid Webapps permission name.
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: expandPermissions: Unknown Permission: wifi" {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 300}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: expandPermissions: Unknown Permission: wifi
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: 'wifi' is not a valid Webapps permission name." {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 464}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: 'wifi' is not a valid Webapps permission name.
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: expandPermissions: Unknown Permission: mozBluetooth" {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 300}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: expandPermissions: Unknown Permission: mozBluetooth
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: expandPermissions: Unknown Permission: wifi" {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 300}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: expandPermissions: Unknown Permission: wifi
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: 'mozBluetooth' is not a valid Webapps permission name." {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 464}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: 'mozBluetooth' is not a valid Webapps permission name.
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: 'wifi' is not a valid Webapps permission name." {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 464}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: 'wifi' is not a valid Webapps permission name.
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: expandPermissions: Unknown Permission: mozBluetooth" {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 300}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: expandPermissions: Unknown Permission: mozBluetooth
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: expandPermissions: Unknown Permission: wifi" {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 300}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: expandPermissions: Unknown Permission: wifi
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: 'mozBluetooth' is not a valid Webapps permission name." {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 464}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: 'mozBluetooth' is not a valid Webapps permission name.
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: 'wifi' is not a valid Webapps permission name." {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 464}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: 'wifi' is not a valid Webapps permission name.
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: expandPermissions: Unknown Permission: mozBluetooth" {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 300}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: expandPermissions: Unknown Permission: mozBluetooth
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: expandPermissions: Unknown Permission: wifi" {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 300}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: expandPermissions: Unknown Permission: wifi
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: 'mozBluetooth' is not a valid Webapps permission name." {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 464}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: 'mozBluetooth' is not a valid Webapps permission name.
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "PermissionsInstaller.jsm: 'wifi' is not a valid Webapps permission name." {file: "resource://gre/modules/PermissionsInstaller.jsm" line: 464}]
20:11:05     INFO -  I/Gecko   (  287): PermissionsInstaller.jsm: 'wifi' is not a valid Webapps permission name.
20:11:05     INFO -  D/NetUtils(  287): failed to remove default route for tiwlan0: No such device
20:11:05     INFO -  W/AudioFlinger(   38): Thread AudioOut_1 cannot connect to the power manager service
20:11:05     INFO -  I/Gecko   (  287): ###################################### forms.js loaded
20:11:05     INFO -  E/profiler(  324): Registering start signal
20:11:05     INFO -  I/Gecko   (  287): ###################################### forms.js loaded
20:11:05     INFO -  E/WifiHW  (  287): Cannot open "/system/etc/wifi/wpa_supplicant.conf": No such file or directory
20:11:05     INFO -  E/WifiHW  (  287): Wi-Fi will not be enabled
20:11:05     INFO -  I/GeckoDump(  287): XXX FIXME : Got a mozContentEvent: system-message-listener-ready
20:11:05     INFO -  I/Gecko   (  287): 1355371204738	Marionette	INFO	marionette initializing at system-message-listener-ready
20:11:05     INFO -  I/Gecko   (  287): 1355371206230	Marionette	INFO	marionette-actors.js loaded
20:11:05     INFO -  I/Gecko   (  287): 1355371206254	Marionette	INFO	marionette listener opened
20:11:05     INFO -  I/Gecko   (  287): Logging GL tracing output to /system/b2g/firefox.trace
20:11:05     INFO -  I/Gecko   (  287): Attempting load of /data/local/egltrace.so
20:11:05     INFO -  I/Gecko   (  287): Attempting load of libEGL.so
20:11:05     INFO -  D/libEGL  (  287): loaded /system/lib/egl/libEGL_emulation.so
20:11:05     INFO -  D/        (  287): HostConnection::get() New Host Connection established 0x43858410, tid 311
20:11:05     INFO -  D/libEGL  (  287): loaded /system/lib/egl/libGLESv1_CM_emulation.so
20:11:05     INFO -  D/libEGL  (  287): loaded /system/lib/egl/libGLESv2_emulation.so
20:11:05     INFO -  W/        (  287): hwcomposer module not found
20:11:05     INFO -  E/HWComposer(  287): Failed to initialize hwc
20:11:05     INFO -  E/GeckoConsole(  287): OpenGL LayerManager Initialized Succesfully.
20:11:05     INFO -  E/GeckoConsole(  287): Version: OpenGL ES 2.0 (3.2.0 NVIDIA 190.42)
20:11:05     INFO -  E/GeckoConsole(  287): Vendor: Google (NVIDIA Corporation)
20:11:05     INFO -  E/GeckoConsole(  287): Renderer: Android Emulator OpenGL ES Translator (GeForce 9400/PCI/SSE2)
20:11:05     INFO -  E/GeckoConsole(  287): FBO Texture Target: TEXTURE_2D
20:11:05     INFO -  I/Gecko   (  287): 1355371207303	Marionette	INFO	onStopListening for Marionette dummy socket, code 2147500036
20:11:05     INFO -  I/Gecko   (  287): 1355371208917	Marionette	INFO	sendToClient: {"from":"conn0.marionette1","ok":true}, {46e4cbf4-7767-44de-afad-fb9466d084e5}, {46e4cbf4-7767-44de-afad-fb9466d084e5}
20:11:05     INFO -  E/GeckoConsole(  287): [JavaScript Error: "[Exception... "Component returned failure code: 0x80470002 (NS_BASE_STREAM_CLOSED) [nsIOutputStream.write]"  nsresult: "0x80470002 (NS_BASE_STREAM_CLOSED)"  location: "JS frame :: chrome://global/content/devtools/dbg-transport.js :: DT_onOutputStreamReady :: line 94"  data: no]" {file: "chrome://global/content/devtools/dbg-transport.js" line: 94}]
20:11:05     INFO -  I/IdleService(  287): Registering Idle observer callback
20:11:05     INFO -  I/IdleService(  287): Register idle observer 46542470 for 180 seconds
20:11:05     INFO -  I/IdleService(  287): Register: adjusting next switch from -1 to 180 seconds
20:11:05     INFO -  I/IdleService(  287): next timeout 179986 msec from now
20:11:05     INFO -  I/IdleService(  287): SetTimerExpiryIfBefore: next timeout 179985 msec from now
20:11:05     INFO -  I/IdleService(  287): reset timer expiry to 179994 msec from now
20:11:05     INFO -  I/IdleService(  287): Register idle observer 46ca43b0 for 1 seconds
20:11:05     INFO -  I/IdleService(  287): Register: adjusting next switch from 180 to 1 seconds
20:11:05     INFO -  I/IdleService(  287): next timeout 977 msec from now
20:11:05     INFO -  I/IdleService(  287): SetTimerExpiryIfBefore: next timeout 977 msec from now
20:11:05     INFO -  I/IdleService(  287): reset timer expiry to 986 msec from now
20:11:05     INFO -  I/IdleService(  287): Get idle time: time since reset 25 msec
20:11:05     INFO -  I/IdleService(  287): Remove idle observer 46ca43b0 (1 seconds)
20:11:05     INFO -  I/IdleService(  287): Register idle observer 46ca43b0 for 1 seconds
20:11:05     INFO -  I/IdleService(  287): next timeout 894 msec from now
20:11:05     INFO -  I/IdleService(  287): SetTimerExpiryIfBefore: next timeout 875 msec from now
20:11:05     INFO -  I/IdleService(  287): reset timer expiry to 884 msec from now
20:11:05     INFO -  I/IdleService(  287): Get idle time: time since reset 127 msec
20:11:05     INFO -  I/GeckoDump(  287): XXX FIXME : Got a mozContentEvent: accessibility-screenreader
20:11:05     INFO -  I/IdleService(  287): Get idle time: time since reset 2535 msec
20:11:05     INFO -  I/IdleService(  287): Idle timer callback: current idle time 2535 msec
20:11:05     INFO -  I/IdleService(  287): next timeout 177462 msec from now
20:11:05     INFO -  I/IdleService(  287): SetTimerExpiryIfBefore: next timeout 177461 msec from now
20:11:05     INFO -  I/IdleService(  287): reset timer expiry to 177471 msec from now
20:11:05     INFO -  I/IdleService(  287): Idle timer callback: tell observer 46ca43b0 user is idle
20:11:05     INFO -  I/IdleService(  287): Get idle time: time since reset 2540 msec
Blocks: 810547
Blocks: 821249
Summary: Fatal signal 7 (SIGBUS) → Fatal signal 7 (SIGBUS) on B2G xpcshell
No longer blocks: 810547, 821249
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 821285
You need to log in before you can comment on or make changes to this bug.